{% extends "master.twig" %}

{% block title %}Update profile{% endblock %}
{% block description %}SFNW Omnibus – update your profile{% endblock %}

{% block header %}
    <script src='/tinymce/tinymce.min.js' xmlns="http://www.w3.org/1999/html"></script>
    <script src="{{ asset('assets/js/tinymce-bio.min.js') }}"></script>
{% endblock %}

{% block body %}

    <div class="eight wide computer twelve wide tablet sixteen wide mobile column" id="test">
        <div class="ui raised segment" id="content">
            <div class="ui secondary pointing menu">
                <a class="active item" data-tab="first">Profile</a>
                <a class="item" data-tab="second">Bio</a>
                <a class="item" data-tab="third">Account</a>
            </div>

            <div class="ui active tab basic segment" data-tab="first">
                <img class="ui centered small circular shadowed image" src="{{ user.avatar }}" id="avatar">

                <form class="ui form" action="/profile/edit" method="POST" enctype="multipart/form-data">
                    <h1 class="ui center aligned header">
                        {{ user.name }}
                    </h1>

                    <div class="field">
                        <div class="ui input">
                            <input type="file" name="file" id="imgNip"/>
                        </div>
                    </div>

                    <div class="field">
                        <div class="ui left labeled input">
                            <div class="ui icon label" data-tooltip="Edit your personal title"
                                 data-position="left center">
                                <i class="certificate icon"></i>
                            </div>
                            <input type="text" name="title" placeholder="Your personal title"
                                   value="{{ user.title }}">
                        </div>
                    </div>

                    <div class="field">
                        <div class="ui left labeled input">
                            <div class="ui icon label" data-tooltip="Edit your link" data-position="left center">
                                <i class="globe icon"></i>
                            </div>
                            <input type="text" name="link"
                                   placeholder="Link to your website, FiMFiction profile, AO3 profile, etc."
                                   value="{{ user.link }}">
                        </div>
                    </div>

                    <input type="hidden" name="id" value="{{ user.id }}">
                    <input type="hidden" name="token" value="{{ token }}">
                    <input type="hidden" name="type" value="profile">

                    <div class="field">
                        <input type="submit" class="ui fluid button" value="Update">
                    </div>
                </form>
            </div>

            <div class="ui tab basic segment" data-tab="second">
                <form class="ui form" action="/profile/edit" method="POST">
                    <div class="field">
                        <label>
                            Bio
                            <textarea name="bio" id="editor">{{ user.bio }}</textarea>
                        </label>
                    </div>

                    <input type="hidden" name="id" value="{{ user.id }}">
                    <input type="hidden" name="token" value="{{ token }}">
                    <input type="hidden" name="type" value="bio">

                    <div class="field">
                        <input type="submit" class="ui fluid button" value="Update">
                    </div>

                </form>
            </div>

            <div class="ui tab basic red segment" data-tab="third">
                <form class="ui form" action="/profile/edit" method="post" id="account">
                    <h2 class="ui header">Edit your account data</h2>
                    <div class="ui error message"></div>

                    <div class="field">
                        <label>Update password</label>
                        <div class="ui action input">
                            <input name="newpass1" type="password" id="pass" placeholder="New password">
                            <button class="ui icon button" type="button" data-content="Generate random password"
                                    onclick='insertPassword(6, 2, 4, "pass")'>
                                <i class="random icon"></i>
                            </button>
                            <button class="ui icon button" type="button" data-content="Show/hide password" id="showhide"
                                    onclick="toggle_password('pass')">
                                <i class="grey eye icon"></i>
                            </button>
                        </div>
                    </div>

                    <div class="field">
                        <div class="ui action input">
                            <input name="newpass2" type="password" id="pass2" placeholder="New password again">
                            <button class="ui icon button" type="button" data-content="Show/hide password" id="showhide"
                                    onclick="toggle_password('pass2')">
                                <i class="grey eye icon"></i>
                            </button>
                        </div>
                    </div>

                    <div class="ui divider"></div>

                    <div class="field">
                        <label>
                            Change email
                            <input type="email" name="email" placeholder="New password again"
                                   value="{{ user.email }}">
                        </label>
                    </div>

                    <div class="ui divider"></div>

                    <div class="field">
                        <label>Confirm with your current password</label>
                        <div class="ui action input">
                            <input name="password" type="password" id="pass3">
                            <button class="ui icon button" type="button" data-content="Show/hide password" id="showhide"
                                    onclick="toggle_password('pass3')">
                                <i class="grey eye icon"></i>
                            </button>
                        </div>
                    </div>

                    <input type="hidden" name="id" value="{{ user.id }}">
                    <input type="hidden" name="token" value="{{ token }}">
                    <input type="hidden" name="type" value="account">

                    <div class="field" data-tooltip="Won't save your Profile edits!">
                        <input type="submit" class="ui fluid button" value="Update">
                    </div>

                </form>
            </div>
        </div>
    </div>


    <script src="{{ asset('assets/js/passgen.min.js') }}"></script>
    <script src="{{ asset('assets/js/showpass.min.js') }}"></script>
    <script defer src="{{ asset('assets/js/validators/account.min.js') }}"></script>



{% endblock %}
